# Businesses

## Endpoints

### POST /businesses
**Create a business**

Creates a business, optionally initialized with the provided vault data.

### GET /businesses/{fp_bid}
**Retrieve a business**

Returns basic details for a business. To read vault data, see the APIs under the Business vault section.

### PATCH /businesses/{fp_bid}
**Update a business**

Updates basic details for a business. To update vault data, see the APIs under the Business vault section.

### GET /businesses
**List businesses**

Looks up businesses by external ID. This API is not meant for paginating through all of your organization's businesses.

### PATCH /businesses/{fp_id}/statuses
**Update business statuses**

Sets or clears a custom status on a business. Configure custom statuses in the [dashboard](https://dashboard.onefootprint.com/settings/statuses).

# Businesses

Besides verifying the identity of users, Footprint supports KYB (Know Your Business), verifying the legitimacy of businesses. Footprint treats a business much like a user, but verifies it with a different set of business verification vendors.

You onboard a business in one of two ways:

* The business onboards through [Footprint's interactive business onboarding product](/articles/kyb/getting-started) using a playbook configured in the [Footprint dashboard](https://dashboard.onefootprint.com/playbooks).
* Your backend creates the business directly with the POST /businesses API below.

A business has its own identifier in Footprint, the `fp_bid`. We recommend storing the `fp_bid` in your database alongside the `fp_id` of each owner of the business. One user can own several businesses. The user and business detail pages of the Footprint dashboard show the relationships between owners and businesses.